php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #52621 pdo-oci fails to locate 64-bit Oracle installations
Submitted: 2010-08-16 23:16 UTC Modified: 2016-03-08 01:01 UTC
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:2 (100.0%)
Same OS:2 (100.0%)
From: jbnance at tresgeek dot net Assigned: sixd (profile)
Status: Duplicate Package: PDO OCI
PHP Version: 5.3.3 OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: jbnance at tresgeek dot net
New email:
PHP Version: OS:

 

 [2010-08-16 23:16 UTC] jbnance at tresgeek dot net
Description:
------------
This is the same as bug 44989, but 44989 isn't getting any attention even though I 
have submitted a fix for the issue, and I'm not the original reporter so I can't 
update status.

Test script:
---------------
Using the Oracle provided 64bit InstantClient RPMs (currently using 11.1.0.1-1):

./configure --with-pdo-oci=instantclient,/usr/include,11.1.0 ...

Produces:

checking Oracle OCI support for PDO... yes
checking Oracle Install-Dir... instantclient,/usr/include,11.1.0
checking if that is sane... yes
checking for oci.h... configure: error: I'm too dumb to figure out where the include dir is in your Instant Client install

Expected result:
----------------
Libraries and headers located, compile succeeds.

Actual result:
--------------
Configure exits unable to locate libraries or headers.

Patches

php-5.2.12-pdo_oci-client64 (last revision 2010-08-16 21:17 UTC by jbnance at tresgeek dot net)
php-5.3.3-pdo_oci-client64 (last revision 2010-08-16 21:17 UTC by jbnance at tresgeek dot net)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-08-16 23:18 UTC] jbnance at tresgeek dot net
Added patches for 5.2 and 5.3 series.
 [2010-08-16 23:19 UTC] jbnance at tresgeek dot net
Notes for end users, in order to use this you have to rebuild configure 
(buildconf --force after applying the patch).

After applying and rebuilding, the following should work:

./configure --with-pdo-oci=instantclient,/usr,10.2.0.4
or
./configure --with-pdo-oci=shared,instantclient,/usr,10.2.0.4

Note that this is different from the non-PDO OCI configure option:

--with-oci8=instantclient,/usr/lib/oracle/10.2.0.4/client64/lib
or
--with-oci8=shared,instantclient,/usr/lib/oracle/10.2.0.4/client64/lib

(the version is a parameter in the PDO OCI option).
 [2010-08-18 01:07 UTC] kalle@php.net
-Package: Compile Failure +Package: Oracle related -Assigned To: +Assigned To: sixd
 [2010-08-18 01:07 UTC] kalle@php.net
Chris, now there is a patch for it, might be worth reviewing from an Oracle standpoint :)
 [2011-03-29 18:28 UTC] nfitzgerald at gmail dot com
Tested the patch for 5.3.3 and it works. Would be great to have this as part of 
the next release.
 [2011-03-29 19:54 UTC] sixd@php.net
-Status: Assigned +Status: Duplicate
 [2011-03-29 19:54 UTC] sixd@php.net
Duplicate of Bug #44989
 [2016-03-08 01:01 UTC] sixd@php.net
-Package: Oracle related +Package: PDO OCI
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Jan 24 10:01:24 2020 UTC